# interfaces Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KFileAudioPreview Class Reference

Audio "preview" widget for the file dialog. More...

`#include <kfileaudiopreview.h>`

Collaboration diagram for KFileAudioPreview:

[legend]
List of all members.

## Public Slots

virtual void | showPreview (const KURL &url)
virtual void | clearPreview ()

## Public Member Functions

| KFileAudioPreview (QWidget *parent=0, const char *name=0)

## Protected Member Functions

virtual void | virtual_hook (int id, void *data)

## Detailed Description

Audio "preview" widget for the file dialog.

Definition at line 37 of file kfileaudiopreview.h.

The documentation for this class was generated from the following files:

- kfileaudiopreview.h
- kfileaudiopreview.cpp

This file is part of the documentation for interfaces Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:34:58 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003